package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundPerformance;
import com.tanpu.fund.entity.generator.FundPerformanceExample;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundPerformanceMapper {
    long countByExample(FundPerformanceExample example);

    int deleteByExample(FundPerformanceExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundPerformance record);

    int insertOrUpdate(FundPerformance record);

    int insertOrUpdateSelective(FundPerformance record);

    int insertSelective(FundPerformance record);

    List<FundPerformance> selectByExample(FundPerformanceExample example);

    FundPerformance selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundPerformance record, @Param("example") FundPerformanceExample example);

    int updateByExample(@Param("record") FundPerformance record, @Param("example") FundPerformanceExample example);

    int updateByPrimaryKeySelective(FundPerformance record);

    int updateByPrimaryKey(FundPerformance record);

    int updateBatch(List<FundPerformance> list);

    int updateBatchSelective(List<FundPerformance> list);

    int batchInsert(@Param("list") List<FundPerformance> list);

    List<FundPerformance> selectByExampleWithRowbounds(FundPerformanceExample example, RowBounds rowBounds);

}