package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundQa;
import com.tanpu.fund.entity.generator.FundQaExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundQaMapper {
    long countByExample(FundQaExample example);

    int deleteByExample(FundQaExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundQa record);

    int insertOrUpdate(FundQa record);

    int insertOrUpdateSelective(FundQa record);

    int insertOrUpdateWithBLOBs(FundQa record);

    int insertSelective(FundQa record);

    List<FundQa> selectByExampleWithBLOBs(FundQaExample example);

    List<FundQa> selectByExample(FundQaExample example);

    FundQa selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundQa record, @Param("example") FundQaExample example);

    int updateByExampleWithBLOBs(@Param("record") FundQa record, @Param("example") FundQaExample example);

    int updateByExample(@Param("record") FundQa record, @Param("example") FundQaExample example);

    int updateByPrimaryKeySelective(FundQa record);

    int updateByPrimaryKeyWithBLOBs(FundQa record);

    int updateByPrimaryKey(FundQa record);

    int updateBatch(List<FundQa> list);

    int updateBatchSelective(List<FundQa> list);

    int batchInsert(@Param("list") List<FundQa> list);
}