package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundStatus;
import com.tanpu.fund.entity.generator.FundStatusExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundStatusMapper {
    long countByExample(FundStatusExample example);

    int deleteByExample(FundStatusExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundStatus record);

    int insertOrUpdate(FundStatus record);

    int insertOrUpdateSelective(FundStatus record);

    int insertSelective(FundStatus record);

    List<FundStatus> selectByExample(FundStatusExample example);

    FundStatus selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundStatus record, @Param("example") FundStatusExample example);

    int updateByExample(@Param("record") FundStatus record, @Param("example") FundStatusExample example);

    int updateByPrimaryKeySelective(FundStatus record);

    int updateByPrimaryKey(FundStatus record);

    int updateBatch(List<FundStatus> list);

    int updateBatchSelective(List<FundStatus> list);

    int batchInsert(@Param("list") List<FundStatus> list);
}