package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundDate;
import com.tanpu.fund.entity.generator.FundDateExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author: zhoupeng
 * <p>
 * =========================================
 * =========================================
 * ========                         ========
 * =======   ==========   =======    =======
 * ======        =====    ==   ====   ======
 * =====        =====     ==    ===    =====
 * =====       =====      ==   ===     =====
 * =====      =====       == ===       =====
 * ======    ==========   ==          ======
 * =======                           =======
 * =========================================
 * =========================================
 * <p>
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundDateMapper {
    long countByExample(FundDateExample example);

    int deleteByExample(FundDateExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundDate record);

    int insertOrUpdate(FundDate record);

    int insertOrUpdateSelective(FundDate record);

    int insertSelective(FundDate record);

    List<FundDate> selectByExample(FundDateExample example);

    FundDate selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundDate record, @Param("example") FundDateExample example);

    int updateByExample(@Param("record") FundDate record, @Param("example") FundDateExample example);

    int updateByPrimaryKeySelective(FundDate record);

    int updateByPrimaryKey(FundDate record);

    int updateBatch(List<FundDate> list);

    int updateBatchSelective(List<FundDate> list);

    int batchInsert(@Param("list") List<FundDate> list);
}