package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundExplain;
import com.tanpu.fund.entity.generator.FundExplainExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundExplainMapper {
    long countByExample(FundExplainExample example);

    int deleteByExample(FundExplainExample example);

    int deleteByPrimaryKey(String id);

    int insert(FundExplain record);

    int insertOrUpdate(FundExplain record);

    int insertOrUpdateSelective(FundExplain record);

    int insertSelective(FundExplain record);

    List<FundExplain> selectByExample(FundExplainExample example);

    FundExplain selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") FundExplain record, @Param("example") FundExplainExample example);

    int updateByExample(@Param("record") FundExplain record, @Param("example") FundExplainExample example);

    int updateByPrimaryKeySelective(FundExplain record);

    int updateByPrimaryKey(FundExplain record);

    int updateBatch(List<FundExplain> list);

    int updateBatchSelective(List<FundExplain> list);

    int batchInsert(@Param("list") List<FundExplain> list);
}