package com.tanpu.fund.mapper.generator;

import com.tanpu.fund.entity.generator.FundFileRecord;
import com.tanpu.fund.entity.generator.FundFileRecordExample;
import java.util.List;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@Mapper
public interface FundFileRecordMapper {
    long countByExample(FundFileRecordExample example);

    int deleteByExample(FundFileRecordExample example);

    int deleteByPrimaryKey(String id);

    List<FundFileRecord> selectByExample(FundFileRecordExample example);

    int updateByExampleSelective(@Param("record") FundFileRecord record, @Param("example") FundFileRecordExample example);

    int updateByExample(@Param("record") FundFileRecord record, @Param("example") FundFileRecordExample example);

    int updateByPrimaryKeySelective(FundFileRecord record);

    int updateByPrimaryKey(FundFileRecord record);

    int updateBatch(List<FundFileRecord> list);

    int updateBatchSelective(List<FundFileRecord> list);

    int batchInsert(@Param("list") List<FundFileRecord> list);

    int insertOrUpdate(FundFileRecord record);

    int insertOrUpdateSelective(FundFileRecord record);
}